Bug 471776 - create_book --article does not work. Please remove from help.
create_book --article does not work. Please remove from help.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-16 00:33 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-16 16:42:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to remove "--article" and update --help output (1020 bytes, text/plain)
2008-11-16 00:33 EST, Murray McAllister
no flags Details

  None (edit)
Description Murray McAllister 2008-11-16 00:33:15 EST
Created attachment 323710 [details]
Patch to remove "--article" and update --help output

Description of problem:
The following do not work, and both result in printing the help:

create_book --article blah
create_book --article --name blah


Version-Release number of selected component (if applicable):
* publican-0.38-0.el5



Steps to Reproduce:
1. create_book --help
2. wonder if "--article" works.
3. run create_book --article
4. read <http://jfearn.fedorapeople.org/Publican/>
5. profit.
  


Expected results:

I think --article should be removed from the man page, and the man page made more clear about how to make an article. 

See attached patch. Made sure output was clean/in line in "create_book --help" and "create_book -man". Booyakasha.
Comment 1 Murray McAllister 2008-11-16 00:40:55 EST
I guess "--name My_Article" should be "--name Article_Name", as per <http://jfearn.fedorapeople.org/Publican/sect-Publican-Using_the_publican_package-Creating_a_Book.html>.
Comment 2 Jeff Fearn 2008-11-16 16:42:59 EST
Removed old help text from create_book and make type case insensitive.

Proper command is: create_book --name=The_Article_Of_Doom --type=Article
Comment 3 Fedora Update System 2009-01-14 21:56:31 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.